Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master.search.assumedmatch
Class AssumedMatchSearchObject

    java.lang.Object
      com.sun.mdm.index.querybuilder.SearchOptions
          com.sun.mdm.index.master.search.assumedmatch.AssumedMatchSearchObject

All Implemented Interfaces:
  java.io.Serializable

public class AssumedMatchSearchObject
extends SearchOptions
implements java.io.Serializable

The AssumedMatchSearchObject class is an object representing the search criteria passed to lookupAssumedMatches when performing a search for assumed matches. Use the methods in this class to populate or retrieve the fields in the search object, and to define the fields in the assumed match search results list.

See Also:
  Serialized Form

Constructor Summary
`AssumedMatchSearchObject()` Creates a new instance of the AssumedMatchSearchObject class.

Method Summary
`java.lang.String` | `getAssumedMatchId()` Retrieves the assumed match ID (assigned by the master index) for an instance of AssumedMatchSearchObject.
`java.sql.Timestamp` | `getCreateEndDate()` Retrieves the value of the endDate field to be used in an assumed match search.
`java.sql.Timestamp` | `getCreateStartDate()` Retrieves the value of the startDate field to be used in an assumed match search.
`java.lang.String` | `getCreateUser()` Retrieves the value of the createUser field (the user ID of the user who created the assumed match record) to be used in an assumed match search.
`java.lang.String[]` | `getEUIDs()` Retrieves a string array of EUIDs to use as criteria for an assumed match search.
`java.lang.String` | `getLID()` Retrieves the value of the lid field to be used in an assumed match search.
`java.lang.String` | `getSystemCode()` Retrieves the value of the systemCode field to be used in an assumed match search.
`void` | `setAssumedMatchId(java.lang.String assumedMatchId)` Sets the assumed match ID for an instance of AssumedMatchSearchObject.
`void` | `setCreateEndDate(java.sql.Timestamp endDate)` Sets the ending date for an instance of AssumedMatchSearchObject.
`void` | `setCreateStartDate(java.sql.Timestamp startDate)` Sets the starting date for an instance of AssumedMatchSearchObject.
`void` | `setCreateUser(java.lang.String systemUser)` Sets the create user ID for an instance of AssumedMatchSearchObject.
`void` | `setEUID(java.lang.String euid)` Sets the enterprise-wide identifier (EUID) for an instance of AssumedMatchSearchObject.
`void` | `setEUIDs(java.lang.String[] euids)` Sets an array of enterprise-wide identifiers (EUIDs) for an instance of AssumedMatchSearchObject.
`void` | `setLID(java.lang.String lid)` Sets the local ID for an instance of AssumedMatchSearchObject.
`void` | `setSystemCode(java.lang.String systemCode)` Sets the system code for an instance of AssumedMatchSearchObject.
`java.lang.String` | `toString()` Retrieves a string representation of the fields in the AssumedMatchSearchObject object.

Methods inherited from class com.sun.mdm.index.querybuilder.SearchOptions
`getBooleanOption, getMaxElements, getMaxQueryElements, getOption, getOptionNames, getPageSize, setMaxElements, setMaxQueryElements, setOption, setPageSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssumedMatchSearchObject

    public AssumedMatchSearchObject()

  Creates a new instance of the AssumedMatchSearchObject class.

  Parameters:
    None.

Method Detail

### getAssumedMatchId

    public java.lang.String getAssumedMatchId()

  Retrieves the assumed match ID (assigned by the master index) for an instance of AssumedMatchSearchObject.

  Parameters:
    None.

  Returns:
    `String` - The unique identifier for the assumed match.
  Throws:
    None.

### getCreateEndDate

    public java.sql.Timestamp getCreateEndDate()

  Retrieves the value of the endDate field to be used in an assumed match search.

  Parameters:
    None.

  Returns:
    `java.sql.Timestamp` - The end date for the assumed match search.
  Throws:
    None.

### getCreateStartDate

    public java.sql.Timestamp getCreateStartDate()

  Retrieves the value of the startDate field to be used in an assumed match search.

  Parameters:
    None.

  Returns:
    `java.sql.Timestamp` - The starting date for the assumed match search.
  Throws:
    None.

### getCreateUser

    public java.lang.String getCreateUser()

  Retrieves the value of the createUser field (the user ID of the user who created the assumed match record) to be used in an assumed match search.

  Parameters:
    None.

  Returns:
    `String` - A user logon ID.
  Throws:
    None.

### getEUIDs

    public java.lang.String[] getEUIDs()

  Retrieves a string array of EUIDs to use as criteria for an assumed match search.

  Parameters:
    None.

  Returns:
    `String[]` - A string array containing EUIDs.
  Throws:
    None.

### getLID

    public java.lang.String getLID()

  Retrieves the value of the lid field to be used in an assumed match search.

  Parameters:
    None.

  Returns:
    `String` - The value of the local ID field.
  Throws:
    None.

### getSystemCode

    public java.lang.String getSystemCode()

  Retrieves the value of the systemCode field to be used in an assumed match search.

  Parameters:
    None.

  Returns:
    `String` - A string containing a system code.
  Throws:
    None.

### setAssumedMatchId

    public void setAssumedMatchId(java.lang.String assumedMatchId)

  Sets the assumed match ID for an instance of AssumedMatchSearchObject.

  Parameters:
    `assumedMatchId` - A string containing the unique identifier for the assumed match.
  Returns:
    `void` - None.
  Throws:
    None.

### setCreateEndDate

    public void setCreateEndDate(java.sql.Timestamp endDate)

  Sets the ending date for an instance of AssumedMatchSearchObject. Use this method with setCreateStartDate to search for assumed matches made between these two dates.

  Parameters:
    `endDate` - The end date for the assumed match search.
  Returns:
    `void` - None.
  Throws:
    None.

### setCreateStartDate

    public void setCreateStartDate(java.sql.Timestamp startDate)

  Sets the starting date for an instance of AssumedMatchSearchObject. Use this method with setCreateEndDate to search for assumed matches made between these two dates.

  Parameters:
    `startDate` - The starting date for the assumed match search.
  Returns:
    `void` - None.
  Throws:
    None.

### setCreateUser

    public void setCreateUser(java.lang.String systemUser)

  Sets the create user ID for an instance of AssumedMatchSearchObject.

  Parameters:
    `systemUser` - A string containing a user ID.
  Returns:
    `void` - None.
  Throws:
    None.

### setEUID

    public void setEUID(java.lang.String euid)

  Sets the enterprise-wide identifier (EUID) for an instance of AssumedMatchSearchObject.

  Parameters:
    `euid` - A string containing the desired EUID.
  Returns:
    `void` - None.
  Throws:
    None.

### setEUIDs

    public void setEUIDs(java.lang.String[] euids)

  Sets an array of enterprise-wide identifiers (EUIDs) for an instance of AssumedMatchSearchObject.

  Parameters:
    `euids` - A string array containing the desired EUIDs.
  Returns:
    `void` - None.
  Throws:
    None.

### setLID

    public void setLID(java.lang.String lid)

  Sets the local ID for an instance of AssumedMatchSearchObject.

  Parameters:
    `lid` - A string containing a local ID.
  Returns:
    `void` - None.
  Throws:
    None.

### setSystemCode

    public void setSystemCode(java.lang.String systemCode)

  Sets the system code for an instance of AssumedMatchSearchObject.

  Parameters:
    `systemCode` - A string containing a system code.
  Returns:
    `void` - None.
  Throws:
    None.

### toString

    public java.lang.String toString()

  Retrieves a string representation of the fields in the AssumedMatchSearchObject object.

  Parameters:
    None.

  Overrides:
    `toString` in class `SearchOptions`
  Returns:
    `String` - The field values contained in the AssumedMatchSearchObject object.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.